---
version: "3.7"

services:
  jekyll:
    command: >
      jekyll serve \
      --verbose \
      --config _config.yml \
      --trace
    networks:
      - proxy
    deploy:
      mode: replicated
      replicas: 1
      update_config:
        failure_action: rollback
      placement:
        constraints:
          - node.role == manager
      labels:
        - "traefik.enable=true"
        - "traefik.http.services.jekyll.loadbalancer.server.port=4000"
        - "traefik.http.routers.jekyll.rule=Host(`site.swarm.autonomic.zone`)"
        - "traefik.http.routers.jekyll.entrypoints=web-secure"
        - "traefik.http.routers.jekyll.tls.certresolver=staging"

networks:
  proxy:
    external: true
